# COMMANDS

hledger provides a number of subcommands; `hledger` with no arguments
shows a list.

If you install additional `hledger-*` packages, or if you put programs
or scripts named `hledger-NAME` in your PATH, these will also be
listed as subcommands.

Run a subcommand by writing its name as first argument (eg `hledger
incomestatement`). You can also write one of the standard short aliases
displayed in parentheses in the command list (`hledger b`), or any
any unambiguous prefix of a command name (`hledger inc`). 

Here are all the builtin commands in alphabetical order.
See also `hledger` for a more organised command list,
and `hledger CMD -h` for detailed command help.  

## accounts

_include_(Hledger/Cli/Commands/Accounts.md)

## activity

_include_(Hledger/Cli/Commands/Activity.md)

## add

_include_(Hledger/Cli/Commands/Add.md)

## balance

_include_({{Hledger/Cli/Commands/Balance.md}})

## balancesheet

_include_({{Hledger/Cli/Commands/Balancesheet.md}})

## balancesheetequity

_include_({{Hledger/Cli/Commands/Balancesheetequity.md}})

## cashflow

_include_({{Hledger/Cli/Commands/Cashflow.md}})

## check-dates

_include_({{Hledger/Cli/Commands/Checkdates.md}})

## check-dupes

_include_({{Hledger/Cli/Commands/Checkdupes.md}})

## close

_include_({{Hledger/Cli/Commands/Close.md}})

## files

_include_({{Hledger/Cli/Commands/Files.md}})

## help

_include_({{Hledger/Cli/Commands/Help.md}})

## import

_include_({{Hledger/Cli/Commands/Import.md}})

## incomestatement

_include_({{Hledger/Cli/Commands/Incomestatement.md}})

## prices

_include_({{Hledger/Cli/Commands/Prices.md}})

## print

_include_({{Hledger/Cli/Commands/Print.md}})

## print-unique

_include_({{Hledger/Cli/Commands/Printunique.md}})

## register

_include_({{Hledger/Cli/Commands/Register.md}})

## register-match

_include_({{Hledger/Cli/Commands/Registermatch.md}})

## rewrite

_include_({{Hledger/Cli/Commands/Rewrite.md}})

## roi

_include_({{Hledger/Cli/Commands/Roi.md}})

## stats

_include_({{Hledger/Cli/Commands/Stats.md}})

## tags

_include_({{Hledger/Cli/Commands/Tags.md}})

## test

_include_({{Hledger/Cli/Commands/Test.md}})

_include_(hledger_addons.m4.md)
